uniform sampler2D mainTexture;
uniform sampler2D lightmapTexture;
uniform sampler2D toonTexture;
uniform sampler2D spaTexture;
uniform vec2 lightmapCoord;
uniform bool pureColor;
uniform bool enableToon;
uniform bool enableSpa;
uniform vec3 lightDir;
varying vec3 normal;
varying vec3 ecPos;
const float light = 1.0;

void main()  
{  
	vec4 color = pureColor?gl_Color:texture2D(mainTexture,gl_TexCoord[0].st);
	if(enableToon)
	{
		float f = 0.5 * (1.0 - dot( lightDir, normal ));
		vec2 toonCoord = vec2(0.0, f);
		color = color * texture2D(toonTexture,toonCoord);
	}
    gl_FragColor = light * color * gl_Color * texture2D(lightmapTexture,lightmapCoord);
}  